## octavia-tempest-plugin 1.4.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinxcontrib-apidoc>=0.2.0 # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2,!=2.1.0;python_version>='3.4'  # BSD
openstackdocstheme>=1.18.1 # Apache-2.0

# releasenotes
reno>=2.5.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
octavia-tempest-plugin (1.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2020 11:03:34 +0200

octavia-tempest-plugin (1.4.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #958792).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:21:46 +0200

=== debian/control ===
Source: octavia-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/octavia-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/octavia-tempest-plugin.git
Homepage: https://opendev.org/openstack/octavia-tempest-plugin

Package: octavia-tempest-plugin
Architecture: all
Depends:
 python3-pbr,
 python3-cryptography,
 python3-dateutil,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-barbicanclient,
 python3-openssl,
 python3-requests,
 python3-six,
 python3-tenacity,
 python3-keystoneauth1,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Octavia plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Octavia plugin.

## octavia-tempest-plugin 1.5.0

=== debian/changelog ===
octavia-tempest-plugin (1.5.0-3~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add package-all-files.patch.
  * Add allow-_enable_ipv6_nic_webserver-ip-addr-add-to-fail.patch.
  * Add python3-h2 as runtime depends, needed for a TLSWithBarbicanTest test.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Thu, 30 Jan 2025 12:40:08 +0000

octavia-tempest-plugin (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 15:42:20 +0200

octavia-tempest-plugin (1.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this package, note that httpx 0.14.2 is needed,
    but only 0.12 is available right now.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 14:48:11 +0200

=== debian/control ===
--- 
+++ 
@@ -19,20 +19,22 @@
 Package: octavia-tempest-plugin
 Architecture: all
 Depends:
- python3-pbr,
+ python3-barbicanclient,
  python3-cryptography,
  python3-dateutil,
+ python3-h2,
+ python3-httpx,
+ python3-keystoneauth1,
+ python3-openssl,
  python3-oslo.config,
  python3-oslo.log,
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-oslotest,
- python3-barbicanclient,
- python3-openssl,
+ python3-pbr,
  python3-requests,
- python3-six,
  python3-tenacity,
- python3-keystoneauth1,
+ python3-testtools,
  tempest,
  ${misc:Depends},
  ${python3:Depends},

## octavia-tempest-plugin 1.7.0

=== debian/changelog ===
octavia-tempest-plugin (1.7.0-3~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add package-all-files.patch.
  * Add allow-_enable_ipv6_nic_webserver-ip-addr-add-to-fail.patch.
  * Add python3-h2 as runtime depends, needed for a TLSWithBarbicanTest test.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Thu, 30 Jan 2025 13:13:49 +0000

octavia-tempest-plugin (1.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:57:56 +0200

octavia-tempest-plugin (1.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Mar 2021 13:51:50 +0200

octavia-tempest-plugin (1.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed verison of openstack-pkg-tools from b-d.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 14:15:52 +0100

## octavia-tempest-plugin 1.8.1

=== debian/changelog ===
octavia-tempest-plugin (1.8.1-2build1) jammy; urgency=medium

  * Rebuild against new httpx 0.22.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Mar 2022 20:38:27 +0100

octavia-tempest-plugin (1.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:41:45 +0200

octavia-tempest-plugin (1.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 11:01:34 +0200

octavia-tempest-plugin (1.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 10:51:25 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/octavia-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	pkgos-dh_auto_test --no-py2
#endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/octavia-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## octavia-tempest-plugin 1.9.0

=== debian/changelog ===
octavia-tempest-plugin (1.9.0-3~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add package-all-files.patch.
  * Add allow-_enable_ipv6_nic_webserver-ip-addr-add-to-fail.patch.
  * Add python3-h2 as runtime depends, needed for a TLSWithBarbicanTest test.
  * Add golang-any as build-depends and build test_server.bin.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 30 Jan 2025 13:12:39 +0000

octavia-tempest-plugin (1.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 14:12:14 +0200

octavia-tempest-plugin (1.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Mar 2022 17:48:39 +0100

## octavia-tempest-plugin 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

cryptography>=2.1 # BSD/Apache-2.0
python-dateutil>=2.5.3 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0  # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0  # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
pyOpenSSL>=17.1.0 # Apache-2.0
requests>=2.14.2  # Apache-2.0
tempest>=17.1.0 # Apache-2.0
tenacity>=4.4.0 # Apache-2.0
testtools>=2.2.0 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
httpx[http2]>=0.14.2 # BSD

=== debian/changelog ===
octavia-tempest-plugin (2.0.0-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add package-all-files.patch.
  * Add allow-_enable_ipv6_nic_webserver-ip-addr-add-to-fail.patch.
  * Add python3-h2 as runtime depends, needed for a TLSWithBarbicanTest test.
  * Add golang-any as build-depends and build test_server.bin.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Thu, 30 Jan 2025 13:11:41 +0000

octavia-tempest-plugin (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 16:29:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 %:
 	dh $@ --buildsystem=python_distutils --with python3
+
+override_dh_auto_configure:
+	echo "Do nothing..."
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -16,6 +19,7 @@
 	echo "Do nothing..."
 
 override_dh_auto_build:
+	XDG_CACHE_DIR=$(CURDIR) HOME=$(CURDIR) CGO_ENABLED=0 GOOS=linux go build -a -ldflags '-s -w -extldflags -static' -o  $(CURDIR)/octavia_tempest_plugin/contrib/test_server/test_server.bin $(CURDIR)/octavia_tempest_plugin/contrib/test_server/test_server.go
 	echo "Do nothing..."
 
 override_dh_install:

## octavia-tempest-plugin 2.3.0

=== debian/changelog ===
octavia-tempest-plugin (2.3.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046467).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 09:52:21 +0200

octavia-tempest-plugin (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:03:21 +0200

octavia-tempest-plugin (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Mar 2023 15:10:46 +0100

octavia-tempest-plugin (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:44:18 +0100

## octavia-tempest-plugin 2.4.1

=== debian/changelog ===
octavia-tempest-plugin (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Oct 2023 08:40:25 +0200

octavia-tempest-plugin (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 09:14:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -22,7 +22,6 @@
  python3-barbicanclient,
  python3-cryptography,
  python3-dateutil,
- python3-h2,
  python3-httpx,
  python3-keystoneauth1,
  python3-openssl,

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,11 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python3
 
-override_dh_auto_configure:
-	echo "Do nothing..."
-
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 	echo "Do nothing..."
@@ -19,7 +19,6 @@
 	echo "Do nothing..."
 
 override_dh_auto_build:
-	XDG_CACHE_DIR=$(CURDIR) HOME=$(CURDIR) CGO_ENABLED=0 GOOS=linux go build -a -ldflags '-s -w -extldflags -static' -o  $(CURDIR)/octavia_tempest_plugin/contrib/test_server/test_server.bin $(CURDIR)/octavia_tempest_plugin/contrib/test_server/test_server.go
 	echo "Do nothing..."
 
 override_dh_install:

## octavia-tempest-plugin 2.6.0

=== debian/changelog ===
octavia-tempest-plugin (2.6.0-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add package-all-files.patch.
  * Add allow-_enable_ipv6_nic_webserver-ip-addr-add-to-fail.patch.
  * Add python3-h2 as runtime depends, needed for a TLSWithBarbicanTest test.
  * Add golang-any as build-depends and build test_server.bin.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Thu, 30 Jan 2025 13:09:43 +0000

octavia-tempest-plugin (2.6.0-1) unstable; urgency=medium

  * Uploading to unstable (Closes: #1067063).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2024 11:30:38 +0100

octavia-tempest-plugin (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2024 09:48:22 +0100

octavia-tempest-plugin (2.4.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Oct 2023 08:28:27 +0200

octavia-tempest-plugin (2.4.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:48:17 +0200

octavia-tempest-plugin (2.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Sep 2023 16:52:41 +0200

## octavia-tempest-plugin 2.7.0

=== debian/changelog ===
octavia-tempest-plugin (2.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 09:37:08 +0200

## octavia-tempest-plugin 2.8.0

=== debian/changelog ===
octavia-tempest-plugin (2.8.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090454).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 12:18:35 +0100

octavia-tempest-plugin (2.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 16:46:27 +0200

octavia-tempest-plugin (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 23:18:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

## octavia-tempest-plugin 2.9.0

=== debian/changelog ===
octavia-tempest-plugin (2.9.0-1~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Mon, 03 Mar 2025 14:08:53 +0000

octavia-tempest-plugin (2.9.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 15:05:30 +0100

octavia-tempest-plugin (2.8.0-4) unstable; urgency=medium

  * Add golang-any as build-depends and build test_server.bin.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jan 2025 14:01:35 +0100

octavia-tempest-plugin (2.8.0-3) unstable; urgency=medium

  * Add package-all-files.patch.
  * Add allow-_enable_ipv6_nic_webserver-ip-addr-add-to-fail.patch.
  * Add python3-h2 as runtime depends, needed for a TLSWithBarbicanTest test.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jan 2025 13:46:55 +0100

## octavia-tempest-plugin 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-cryptography>=2.1 # BSD/Apache-2.0
+cryptography>=3.0 # BSD/Apache-2.0
 python-dateutil>=2.5.3 # BSD
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinxcontrib-apidoc>=0.2.0 # BSD
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
octavia-tempest-plugin (3.0.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 20:46:32 +0000

octavia-tempest-plugin (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:44:48 +0100

octavia-tempest-plugin (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Mar 2025 12:28:04 +0100

## octavia-tempest-plugin 3.1.0

=== debian/changelog ===
octavia-tempest-plugin (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Sep 2025 08:36:10 +0200

## octavia-tempest-plugin 3.2.0

=== debian/changelog ===
octavia-tempest-plugin (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:39:25 +0200

octavia-tempest-plugin (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:30:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
+ golang-any,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
@@ -22,6 +23,7 @@
  python3-barbicanclient,
  python3-cryptography,
  python3-dateutil,
+ python3-h2,
  python3-httpx,
  python3-keystoneauth1,
  python3-openssl,

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 %:
 	dh $@ --buildsystem=pybuild --with python3
+
+override_dh_auto_configure:
+	echo "Do nothing..."
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -19,6 +22,7 @@
 	echo "Do nothing..."
 
 override_dh_auto_build:
+	XDG_CACHE_DIR=$(CURDIR) HOME=$(CURDIR) CGO_ENABLED=0 GOOS=linux go build -a -ldflags '-s -w -extldflags -static' -o  $(CURDIR)/octavia_tempest_plugin/contrib/test_server/test_server.bin $(CURDIR)/octavia_tempest_plugin/contrib/test_server/test_server.go
 	echo "Do nothing..."
 
 override_dh_install:

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/octavia-tempest-plugin refs/tags/(\d[brc\d\.]+)
